Codebase list openfortivpn / 0df12238-38db-4a54-a6df-31ca86ece132/main autogen.sh
0df12238-38db-4a54-a6df-31ca86ece132/main

Tree @0df12238-38db-4a54-a6df-31ca86ece132/main (Download .tar.gz)

autogen.sh @0df12238-38db-4a54-a6df-31ca86ece132/mainraw · history · blame

#!/bin/sh
set -exu

if ! type autoconf >/dev/null 2>&1 ; then
  echo "autoconf not found - please install it" >&2
  exit 1
fi

if ! type automake >/dev/null 2>&1 ; then
  echo "automake not found - please install it" >&2
  exit 1
fi

if type aclocal >/dev/null 2>&1 ; then
  aclocal
fi

autoconf
automake --add-missing

echo "now you can run ./configure && make to build openfortivpn"